QwtPlotPicker(3)

NAME
QwtPlotPicker - QwtPlotPicker provides selections on a plot canvas.

SYNOPSIS

#include <qwt_plot_picker.h>

Inherits QwtPicker.

Inherited by QwtPlotZoomer.

  Signals
void selected (const QPointF &pos)
void selected (const QRectF &rect)
void selected (const QVector< QPointF > &pa)
void appended (const QPointF &pos)
void moved (const QPointF &pos)

  Public Member Functions
QwtPlotPicker (QWidget *canvas)
Create a plot picker.
virtual ~QwtPlotPicker ()
Destructor.
QwtPlotPicker (int xAxis, int yAxis, QWidget *)
QwtPlotPicker (int xAxis, int yAxis, RubberBand rubberBand, DisplayMode trackerMode, QWidget *)
virtual void setAxis (int xAxis, int yAxis)
int xAxis () const
Return x axis.
int yAxis () const
Return y axis.
QwtPlot * plot ()
const QwtPlot * plot () const
QWidget * canvas ()
const QWidget * canvas () const

  Protected Member Functions
QRectF scaleRect () const
QRectF invTransform (const QRect &) const
QRect transform (const QRectF &) const
QPointF invTransform (const QPoint &) const
QPoint transform (const QPointF &) const
virtual QwtText trackerText (const QPoint &) const
virtual QwtText trackerTextF (const QPointF &) const
Translate a position into a position string.
virtual void move (const QPoint &)
virtual void append (const QPoint &)
virtual bool end (bool ok=true)

  Additional Inherited Members

Detailed Description

QwtPlotPicker provides selections on a plot canvas. QwtPlotPicker is a QwtPicker tailored for selections on a plot canvas. It is set to a x-Axis and y-Axis and translates all pixel coordinates into this coordinate system.

Constructor & Destructor Documentation

  QwtPlotPicker::QwtPlotPicker (QWidget * canvas) [explicit]

Create a plot picker. The picker is set to those x- and y-axis of the plot that are enabled. If both or no x-axis are enabled, the picker is set to QwtPlot::xBottom. If both or no y-axis are enabled, it is set to QwtPlot::yLeft.

Parameters
    canvas Plot canvas to observe, also the parent object

See also
    QwtPlot::autoReplot(), QwtPlot::replot(), scaleRect()

  QwtPlotPicker::QwtPlotPicker (int xAxis, int yAxis, QWidget * canvas) [explicit]
Create a plot picker

Parameters
    xAxis Set the x axis of the picker
    yAxis Set the y axis of the picker
    canvas Plot canvas to observe, also the parent object

See also
    QwtPlot::autoReplot(), QwtPlot::replot(), scaleRect()

  QwtPlotPicker::QwtPlotPicker (int xAxis, int yAxis, RubberBand rubberBand, DisplayMode trackerMode, QWidget * canvas) [explicit]
Create a plot picker

Parameters
    xAxis X axis of the picker
    yAxis Y axis of the picker
    rubberBand Rubber band style
    trackerMode Tracker mode
    canvas Plot canvas to observe, also the parent object

See also
    QwtPicker, QwtPicker::setSelectionFlags(), QwtPicker::setRubberBand(), QwtPicker::setTrackerMode

    QwtPlot::autoReplot(), QwtPlot::replot(), scaleRect()

Member Function Documentation

  void QwtPlotPicker::append (const QPoint & pos) [protected], [virtual]
Append a point to the selection and update rubber band and tracker.

Parameters
    pos Additional point

See also
    isActive, begin(), end(), move(), appended()

Note
    The appended(const QPoint &), appended(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

  void QwtPlotPicker::appended (const QPointF & pos) [signal]
A signal emitted when a point has been appended to the selection

Parameters
    pos Position of the appended point.

See also
    append(). moved()

  QWidget * QwtPlotPicker::canvas ()

Returns
    Observed plot canvas

  const QWidget * QwtPlotPicker::canvas () const

Returns
    Observed plot canvas

  bool QwtPlotPicker::end (bool ok = true) [protected], [virtual]
Close a selection setting the state to inactive.

Parameters
    ok If true, complete the selection and emit selected signals otherwise discard the selection.

Returns
    True if the selection has been accepted, false otherwise

Reimplemented from QwtPicker.

Reimplemented in QwtPlotZoomer.

  QPointF QwtPlotPicker::invTransform (const QPoint & pos) const [protected]
Translate a point from pixel into plot coordinates

Returns
    Point in plot coordinates

See also
    transform()

  QRectF QwtPlotPicker::invTransform (const QRect & rect) const [protected]
Translate a rectangle from pixel into plot coordinates

Returns
    Rectangle in plot coordinates

See also
    transform()

  void QwtPlotPicker::move (const QPoint & pos) [protected], [virtual]
Move the last point of the selection

Parameters
    pos New position

See also
    isActive, begin(), end(), append()

Note
    The moved(const QPoint &), moved(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

  void QwtPlotPicker::moved (const QPointF & pos) [signal]
A signal emitted whenever the last appended point of the selection has been moved.

Parameters
    pos Position of the moved last point of the selection.

See also
    move(), appended()

  QwtPlot * QwtPlotPicker::plot ()

Returns
    Plot widget, containing the observed plot canvas

  const QwtPlot * QwtPlotPicker::plot () const

Returns
    Plot widget, containing the observed plot canvas

  QRectF QwtPlotPicker::scaleRect () const [protected]

Returns
    Normalized bounding rectangle of the axes

See also
    QwtPlot::autoReplot(), QwtPlot::replot().

  void QwtPlotPicker::selected (const QPointF & pos) [signal]
A signal emitted in case of QwtPickerMachine::PointSelection.

Parameters
    pos Selected point

  void QwtPlotPicker::selected (const QRectF & rect) [signal]
A signal emitted in case of QwtPickerMachine::RectSelection.

Parameters
    rect Selected rectangle

  void QwtPlotPicker::selected (const QVector< QPointF > & pa) [signal]
A signal emitting the selected points, at the end of a selection.

Parameters
    pa Selected points

  void QwtPlotPicker::setAxis (int xAxis, int yAxis) [virtual]
Set the x and y axes of the picker

Parameters
    xAxis X axis
    yAxis Y axis

Reimplemented in QwtPlotZoomer.

  QwtText QwtPlotPicker::trackerText (const QPoint & pos) const [protected], [virtual]
Translate a pixel position into a position string

Parameters
    pos Position in pixel coordinates

Returns
    Position string

Reimplemented from QwtPicker.

  QwtText QwtPlotPicker::trackerTextF (const QPointF & pos) const [protected], [virtual]

Translate a position into a position string. In case of HLineRubberBand the label is the value of the y position, in case of VLineRubberBand the value of the x position. Otherwise the label contains x and y position separated by a ',' .

The format for the double to string conversion is '%.4f'.

Parameters
    pos Position

Returns
    Position string

  QPoint QwtPlotPicker::transform (const QPointF & pos) const [protected]
Translate a point from plot into pixel coordinates

Returns
    Point in pixel coordinates

See also
    invTransform()

  QRect QwtPlotPicker::transform (const QRectF & rect) const [protected]
Translate a rectangle from plot into pixel coordinates

Returns
    Rectangle in pixel coordinates

See also
    invTransform()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.